<?xml version='1.0' encoding='ISO-8859-1' standalone='no'?>
<!DOCTYPE interface-description SYSTEM 'file:///usr/pkgsrc/lang/oo2c/work.macaroon/oo2c_32-2.0.11/rsrc/OOC/xml/interface-description.dtd'>
<interface-description name='URI:CharClass' id=''>
  <const-decl name='unreservedChar' id='unreservedChar' export='yes' value='unknown'>
    <oberon-doc>
      <summary>Like <oberon-const href='#unreservedPChar'>unreservedPChar</oberon-const>, but without <samp>:</samp>.</summary>
      <p pad-after='yes' no-indent='yes'>Like <oberon-const href='#unreservedPChar'>unreservedPChar</oberon-const>, but without <samp>:</samp>.</p>
    </oberon-doc>
  </const-decl>
  <const-decl name='unreservedPChar' id='unreservedPChar' export='yes' value='unknown'>
    <oberon-doc>
      <summary>All characters that are classified as reserved, but need not to be escaped if used as a <samp>pchar</samp>.</summary>
      <p pad-after='yes' no-indent='yes'>All characters that are classified as reserved, but need not to be escaped if used as a <samp>pchar</samp>.  In particular, these characters can be used unchanged as part of a path segment or path parameter.</p>
    </oberon-doc>
  </const-decl>
  <const-decl name='unreservedUserinfo' id='unreservedUserinfo' export='yes' value='unknown'>
    <oberon-doc>
      <summary>All characters that are classified as reserved, but need not to be escaped if used within a userinfo string.</summary>
      <p pad-after='yes' no-indent='yes'>All characters that are classified as reserved, but need not to be escaped if used within a userinfo string.</p>
    </oberon-doc>
  </const-decl>
  <const-decl name='reserved' id='reserved' export='yes' value='unknown'>
    <oberon-doc>
      <summary>The list of characters that are allowed within a URI, but may not be allowed within a particular component of the generic URI syntax.</summary>
      <p pad-after='yes' no-indent='yes'>The list of characters that are allowed within a URI, but may not be allowed within a particular component of the generic URI syntax.  Note: RFC 2732, <cite>Format for Literal IPv6 Addresses in URL's</cite>, adds the characters <samp>[</samp> and <samp>]</samp> to the set of reserved characters.  Until <oberon-module href='URI:Authority:ServerBased#'>URI:Authority:ServerBased</oberon-module> implements literal IPv6 addresses, extending <oberon-const href='#reserved'>reserved</oberon-const> only prevents other modules (e.g., the XML parser) from escaping these characters.</p>
    </oberon-doc>
  </const-decl>
  <procedure name='IsAlpha' id='IsAlpha' export='yes'>
    <formal-parameters>
      <parameter-decl name='ch' id='IsAlpha.ch' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='CHAR'/>
        </type>
      </parameter-decl>
      <result-type>
        <type-name module='#predef' name='BOOLEAN'/>
      </result-type>
    </formal-parameters>
  </procedure>
  <procedure name='SkipAlpha' id='SkipAlpha' export='yes'>
    <formal-parameters>
      <parameter-decl name='str' id='SkipAlpha.str' export='no' variable-parameter='no'>
        <type>
          <array>
            <element-type>
              <type-name module='#predef' name='CHAR'/>
            </element-type>
          </array>
        </type>
      </parameter-decl>
      <parameter-decl name='pos' id='SkipAlpha.pos' export='no' variable-parameter='yes'>
        <type>
          <type-name module='#predef' name='INTEGER'/>
        </type>
      </parameter-decl>
      <result-type>
        <type-name module='#predef' name='BOOLEAN'/>
      </result-type>
    </formal-parameters>
  </procedure>
  <procedure name='IsDigit' id='IsDigit' export='yes'>
    <formal-parameters>
      <parameter-decl name='ch' id='IsDigit.ch' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='CHAR'/>
        </type>
      </parameter-decl>
      <result-type>
        <type-name module='#predef' name='BOOLEAN'/>
      </result-type>
    </formal-parameters>
  </procedure>
  <procedure name='SkipDigit' id='SkipDigit' export='yes'>
    <formal-parameters>
      <parameter-decl name='str' id='SkipDigit.str' export='no' variable-parameter='no'>
        <type>
          <array>
            <element-type>
              <type-name module='#predef' name='CHAR'/>
            </element-type>
          </array>
        </type>
      </parameter-decl>
      <parameter-decl name='pos' id='SkipDigit.pos' export='no' variable-parameter='yes'>
        <type>
          <type-name module='#predef' name='INTEGER'/>
        </type>
      </parameter-decl>
      <result-type>
        <type-name module='#predef' name='BOOLEAN'/>
      </result-type>
    </formal-parameters>
  </procedure>
  <procedure name='IsAlphaNum' id='IsAlphaNum' export='yes'>
    <formal-parameters>
      <parameter-decl name='ch' id='IsAlphaNum.ch' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='CHAR'/>
        </type>
      </parameter-decl>
      <result-type>
        <type-name module='#predef' name='BOOLEAN'/>
      </result-type>
    </formal-parameters>
  </procedure>
  <procedure name='SkipAlphaNum' id='SkipAlphaNum' export='yes'>
    <formal-parameters>
      <parameter-decl name='str' id='SkipAlphaNum.str' export='no' variable-parameter='no'>
        <type>
          <array>
            <element-type>
              <type-name module='#predef' name='CHAR'/>
            </element-type>
          </array>
        </type>
      </parameter-decl>
      <parameter-decl name='pos' id='SkipAlphaNum.pos' export='no' variable-parameter='yes'>
        <type>
          <type-name module='#predef' name='INTEGER'/>
        </type>
      </parameter-decl>
      <result-type>
        <type-name module='#predef' name='BOOLEAN'/>
      </result-type>
    </formal-parameters>
  </procedure>
  <procedure name='IsMember' id='IsMember' export='yes'>
    <formal-parameters>
      <parameter-decl name='ch' id='IsMember.ch' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='CHAR'/>
        </type>
      </parameter-decl>
      <parameter-decl name='set' id='IsMember.set' export='no' variable-parameter='no'>
        <type>
          <array>
            <element-type>
              <type-name module='#predef' name='CHAR'/>
            </element-type>
          </array>
        </type>
      </parameter-decl>
      <result-type>
        <type-name module='#predef' name='BOOLEAN'/>
      </result-type>
    </formal-parameters>
  </procedure>
  <procedure name='IsReserved' id='IsReserved' export='yes'>
    <formal-parameters>
      <parameter-decl name='ch' id='IsReserved.ch' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='CHAR'/>
        </type>
      </parameter-decl>
      <result-type>
        <type-name module='#predef' name='BOOLEAN'/>
      </result-type>
    </formal-parameters>
  </procedure>
  <procedure name='SkipReserved' id='SkipReserved' export='yes'>
    <formal-parameters>
      <parameter-decl name='str' id='SkipReserved.str' export='no' variable-parameter='no'>
        <type>
          <array>
            <element-type>
              <type-name module='#predef' name='CHAR'/>
            </element-type>
          </array>
        </type>
      </parameter-decl>
      <parameter-decl name='pos' id='SkipReserved.pos' export='no' variable-parameter='yes'>
        <type>
          <type-name module='#predef' name='INTEGER'/>
        </type>
      </parameter-decl>
      <result-type>
        <type-name module='#predef' name='BOOLEAN'/>
      </result-type>
    </formal-parameters>
  </procedure>
  <procedure name='IsMark' id='IsMark' export='yes'>
    <formal-parameters>
      <parameter-decl name='ch' id='IsMark.ch' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='CHAR'/>
        </type>
      </parameter-decl>
      <result-type>
        <type-name module='#predef' name='BOOLEAN'/>
      </result-type>
    </formal-parameters>
  </procedure>
  <procedure name='SkipMark' id='SkipMark' export='yes'>
    <formal-parameters>
      <parameter-decl name='str' id='SkipMark.str' export='no' variable-parameter='no'>
        <type>
          <array>
            <element-type>
              <type-name module='#predef' name='CHAR'/>
            </element-type>
          </array>
        </type>
      </parameter-decl>
      <parameter-decl name='pos' id='SkipMark.pos' export='no' variable-parameter='yes'>
        <type>
          <type-name module='#predef' name='INTEGER'/>
        </type>
      </parameter-decl>
      <result-type>
        <type-name module='#predef' name='BOOLEAN'/>
      </result-type>
    </formal-parameters>
  </procedure>
  <procedure name='IsUnreserved' id='IsUnreserved' export='yes'>
    <formal-parameters>
      <parameter-decl name='ch' id='IsUnreserved.ch' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='CHAR'/>
        </type>
      </parameter-decl>
      <result-type>
        <type-name module='#predef' name='BOOLEAN'/>
      </result-type>
    </formal-parameters>
  </procedure>
  <procedure name='SkipUnreserved' id='SkipUnreserved' export='yes'>
    <formal-parameters>
      <parameter-decl name='str' id='SkipUnreserved.str' export='no' variable-parameter='no'>
        <type>
          <array>
            <element-type>
              <type-name module='#predef' name='CHAR'/>
            </element-type>
          </array>
        </type>
      </parameter-decl>
      <parameter-decl name='pos' id='SkipUnreserved.pos' export='no' variable-parameter='yes'>
        <type>
          <type-name module='#predef' name='INTEGER'/>
        </type>
      </parameter-decl>
      <result-type>
        <type-name module='#predef' name='BOOLEAN'/>
      </result-type>
    </formal-parameters>
  </procedure>
  <procedure name='SkipEscaped' id='SkipEscaped' export='yes'>
    <formal-parameters>
      <parameter-decl name='str' id='SkipEscaped.str' export='no' variable-parameter='no'>
        <type>
          <array>
            <element-type>
              <type-name module='#predef' name='CHAR'/>
            </element-type>
          </array>
        </type>
      </parameter-decl>
      <parameter-decl name='pos' id='SkipEscaped.pos' export='no' variable-parameter='yes'>
        <type>
          <type-name module='#predef' name='INTEGER'/>
        </type>
      </parameter-decl>
      <result-type>
        <type-name module='#predef' name='BOOLEAN'/>
      </result-type>
    </formal-parameters>
  </procedure>
  <procedure name='SkipPChar' id='SkipPChar' export='yes'>
    <formal-parameters>
      <parameter-decl name='str' id='SkipPChar.str' export='no' variable-parameter='no'>
        <type>
          <array>
            <element-type>
              <type-name module='#predef' name='CHAR'/>
            </element-type>
          </array>
        </type>
      </parameter-decl>
      <parameter-decl name='pos' id='SkipPChar.pos' export='no' variable-parameter='yes'>
        <type>
          <type-name module='#predef' name='INTEGER'/>
        </type>
      </parameter-decl>
      <result-type>
        <type-name module='#predef' name='BOOLEAN'/>
      </result-type>
    </formal-parameters>
  </procedure>
  <procedure name='SkipURIC' id='SkipURIC' export='yes'>
    <formal-parameters>
      <parameter-decl name='str' id='SkipURIC.str' export='no' variable-parameter='no'>
        <type>
          <array>
            <element-type>
              <type-name module='#predef' name='CHAR'/>
            </element-type>
          </array>
        </type>
      </parameter-decl>
      <parameter-decl name='pos' id='SkipURIC.pos' export='no' variable-parameter='yes'>
        <type>
          <type-name module='#predef' name='INTEGER'/>
        </type>
      </parameter-decl>
      <result-type>
        <type-name module='#predef' name='BOOLEAN'/>
      </result-type>
    </formal-parameters>
  </procedure>
  <procedure name='SkipMember' id='SkipMember' export='yes'>
    <formal-parameters>
      <parameter-decl name='str' id='SkipMember.str' export='no' variable-parameter='no'>
        <type>
          <array>
            <element-type>
              <type-name module='#predef' name='CHAR'/>
            </element-type>
          </array>
        </type>
      </parameter-decl>
      <parameter-decl name='pos' id='SkipMember.pos' export='no' variable-parameter='yes'>
        <type>
          <type-name module='#predef' name='INTEGER'/>
        </type>
      </parameter-decl>
      <parameter-decl name='set' id='SkipMember.set' export='no' variable-parameter='no'>
        <type>
          <array>
            <element-type>
              <type-name module='#predef' name='CHAR'/>
            </element-type>
          </array>
        </type>
      </parameter-decl>
      <result-type>
        <type-name module='#predef' name='BOOLEAN'/>
      </result-type>
    </formal-parameters>
  </procedure>
  <procedure name='SkipAuthChar' id='SkipAuthChar' export='yes'>
    <formal-parameters>
      <parameter-decl name='str' id='SkipAuthChar.str' export='no' variable-parameter='no'>
        <type>
          <array>
            <element-type>
              <type-name module='#predef' name='CHAR'/>
            </element-type>
          </array>
        </type>
      </parameter-decl>
      <parameter-decl name='pos' id='SkipAuthChar.pos' export='no' variable-parameter='yes'>
        <type>
          <type-name module='#predef' name='INTEGER'/>
        </type>
      </parameter-decl>
      <result-type>
        <type-name module='#predef' name='BOOLEAN'/>
      </result-type>
    </formal-parameters>
  </procedure>
  <import-decl name='-RT0' id='-RT0' export='no' module='RT0'/>
  <import-decl name='-Object' id='-Object' export='no' module='Object'/>
  <import-decl name='-Exception' id='-Exception' export='no' module='Exception'/>
  <module-ref name='URI:Authority:ServerBased'>
    <ref-target type='html' relative-uri='Authority/ServerBased.html'/>
  </module-ref>
</interface-description>
